package com.project.zcustom.service.service.employee;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.employee.PlatEmployeeHealthIllness;

import java.util.List;
import java.util.Map;

/**
 * 多发疾病排行Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatEmployeeHealthIllnessService extends IService<PlatEmployeeHealthIllness> {

    /**
     * 分页查询多发疾病排行列表
     *
     * @param platEmployeeHealthIllness 多发疾病排行
     * @return 多发疾病排行集合
     */
    public IPage<PlatEmployeeHealthIllness> pagingPlatEmployeeTypeIllnessList(PlatEmployeeHealthIllness platEmployeeHealthIllness);

    /**
     * 分页查询多发疾病排行列表
     *
     * @param lqw
     * @return 多发疾病排行集合
     */
    public IPage<PlatEmployeeHealthIllness> pagingPlatEmployeeTypeIllnessList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatEmployeeHealthIllness> lqw);

    /**
     * 查询多发疾病排行列表
     *
     * @param platEmployeeHealthIllness 多发疾病排行
     * @return 多发疾病排行集合
     */
    public List<PlatEmployeeHealthIllness> selectPlatEmployeeTypeIllnessList(PlatEmployeeHealthIllness platEmployeeHealthIllness);

    /**
     * 查询多发疾病排行列表
     *
     * @param platEmployeeHealthIllness 多发疾病排行
     * @return 多发疾病排行集合
     */
    public List<PlatEmployeeHealthIllness> selectPlatEmployeeTypeIllnessList(PlatEmployeeHealthIllness platEmployeeHealthIllness, Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 多发疾病排行
     */
    public PlatEmployeeHealthIllness getPlatEmployeeTypeIllnessByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 多发疾病排行
     */
    public List<PlatEmployeeHealthIllness> selectPlatEmployeeTypeIllnessListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 多发疾病排行
     */
    public List<PlatEmployeeHealthIllness> selectPlatEmployeeTypeIllnessListByField(String field, String filedValue, Long limitNum);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     *  真删接口
     */
    public void reallyDeletePlatEmployeeHealthIllness(LambdaQueryWrapper<PlatEmployeeHealthIllness> lqw);

    /**
     * 添加数据
     *
     * @param appOrg
     * @param mapField
     */
    public void addEmployeeHealthIllness(String appOrg, Map<String, Object> mapField);

    /**
     * 多发疾病排行
     */
    public Map<String, Object> getIllnessChartData(String appOrg);
}
