package com.project.zcustom.service.service.employee;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.project.zcustom.controller.core.PageParamVo;
import com.project.zcustom.domain.employee.PlatEmployeeHealth;

import java.util.List;
import java.util.Map;

/**
 * 员工健康Service接口
 *
 * @author change
 * @date 2024-10-21
 */
public interface IPlatEmployeeHealthService extends IService<PlatEmployeeHealth> {

    /**
     * 分页查询员工健康列表
     *
     * @param platEmployeeHealth 员工健康
     * @return 员工健康集合
     */
    public IPage<PlatEmployeeHealth> pagingPlatEmployeeHealthList(PlatEmployeeHealth platEmployeeHealth);

    /**
     * 分页查询员工健康列表
     *
     * @param lqw
     * @return 员工健康集合
     */
    public IPage<PlatEmployeeHealth> pagingPlatEmployeeHealthList(PageParamVo pageParamVo, LambdaQueryWrapper<PlatEmployeeHealth> lqw);

    /**
     * 查询员工健康列表
     *
     * @param platEmployeeHealth 员工健康
     * @return 员工健康集合
     */
    public List<PlatEmployeeHealth> selectPlatEmployeeHealthList(PlatEmployeeHealth platEmployeeHealth);

    /**
     * 查询员工健康列表
     *
     * @param platEmployeeHealth 员工健康
     * @return 员工健康集合
     */
    public List<PlatEmployeeHealth> selectPlatEmployeeHealthList(PlatEmployeeHealth platEmployeeHealth,Long limitNum);

    /**
     * 根据指定字段查询信息
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 员工健康
     */
    public PlatEmployeeHealth getPlatEmployeeHealthByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息
     *
     * @param field      字段名称
     * @param filedValue 字段值
     * @return 员工健康
     */
    public PlatEmployeeHealth getPlatEmployeeHealthByField(String field, String filedValue,String fieldString);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 员工健康
     */
    public List<PlatEmployeeHealth> selectPlatEmployeeHealthListByField(String field, String filedValue);

    /**
     * 根据指定字段查询信息列表
     *
     * @param field 字段名称
     * @param filedValue 字段值
     * @return 员工健康
     */
    public List<PlatEmployeeHealth> selectPlatEmployeeHealthListByField(String field, String filedValue,Long limitNum);

    /**
     * 添加员工健康信息
     */
    public void addPlatEmployeeHealth(String appOrg,Map<String, Object> mapField);

    /**
     *判断指定字段值是否存在
     *
     * @param field 字段名称
     * @param filedValue 字段值
     */
    public void checkFieldExist(String field, String filedValue,String tips,Long id);

    /**
     * 健康服务
     */
    public Map<String, Object> getHealthData(String appOrg);


    /**
     * 体检情况 柱形图
     */
    public Map<String, Object> getPhysicalChartData(String appOrg);

    /**
     * 体检情况 扇形图
     */
    public List<Map<String, Object>> getPhysicalPieData(String appOrg);

    /**
     * 员工健康分布
     */
    @Deprecated
    public List<Map<String, Object>> getHealthPieData(String appOrg);
}
